MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
sc::Becke88XFunctional Class Reference

Implements Becke's 1988 exchange functional. More...

`#include <functional.h>`

Inheritance diagram for sc::Becke88XFunctional:

List of all members.

## Public Member Functions

| Becke88XFunctional (const Ref< KeyVal > &)
| Becke88XFunctional (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
int | need_density_gradient ()
void | point (const PointInputData &, PointOutputData &)

## Protected Attributes

double | beta_
double | beta6_

## Detailed Description

Implements Becke's 1988 exchange functional.

A. D. Becke, Phys. Rev. A, 38(6), pp. 3098-3100, 1988.

## Member Function Documentation

void sc::Becke88XFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

The documentation for this class was generated from the following file:

- functional.h